import io
import json

import gcloud.aio.auth.token as token
import pytest


def test_importable():
    assert True


@pytest.mark.asyncio
async def test_service_as_io():
    # pylint: disable=line-too-long
    service_data = {
        'type': 'service_account',
        'project_id': 'random-project-123',
        'private_key_id': '399asdfsdf92923k32423a9f9sdf',
        'private_key': '-----BEGIN PRIVATE KEY-----\nABCDF012923949394239492349234923==\n-----END PRIVATE KEY-----\n',
        'client_email': 'gcloud-aio-test@random-project-123.iam.gserviceaccount.com',
        'client_id': '2384283429349234293',
        'auth_uri': 'https://accounts.google.com/o/oauth2/auth',
        'token_uri': 'https://oauth2.googleapis.com/token',
        'auth_provider_x509_cert_url': 'https://www.googleapis.com/oauth2/v1/certs',
        'client_x509_cert_url': 'https://www.googleapis.com/robot/v1/metadata/x509/gcloud-aio%40random-project-123.iam.gserviceaccount.com'
    }

    # io.StringIO does not like str inputs in python2. So in `py3to2` step in CI
    # runs `future-fstrings-show` redefines str literals to unicode, which turns
    # this seemingly noop operation to allow the literal string to get converted
    # to unicode.
    service_file = io.StringIO('{}'.format(json.dumps(service_data)))
    t = token.Token(service_file=service_file,
                    scopes=['https://google.com/random-scope'])

    assert t.token_type == token.Type.SERVICE_ACCOUNT
    assert t.token_uri == 'https://oauth2.googleapis.com/token'
    assert await t.get_project() == 'random-project-123'
